summaryrefslogtreecommitdiffstats
path: root/office
diff options
context:
space:
mode:
author Ledu <ledubr@gmail.com>2010-05-13 00:39:17 +0200
committer Michiel van Wessem <michiel@slackbuilds.org>2010-05-13 00:39:17 +0200
commit457acd2fa096e2547f300e5b1aa2543dbb4575a8 (patch)
tree48afd83696318102f8f805d490beaed04f46ad6e /office
parent4b22b73ef385529304ab90d7ebe42c27e4fc0000 (diff)
downloadslackbuilds-457acd2fa096e2547f300e5b1aa2543dbb4575a8.tar.gz
slackbuilds-457acd2fa096e2547f300e5b1aa2543dbb4575a8.tar.xz
office/kmymoney2: Updated for version 1.0.0
Diffstat (limited to 'office')
-rw-r--r--office/kmymoney2/README31
-rw-r--r--office/kmymoney2/kmymoney2.SlackBuild27
-rw-r--r--office/kmymoney2/kmymoney2.info15
-rw-r--r--office/kmymoney2/slack-desc14
4 files changed, 48 insertions, 39 deletions
diff --git a/office/kmymoney2/README b/office/kmymoney2/README
index e5aa6e25d4..165e41c54f 100644
--- a/office/kmymoney2/README
+++ b/office/kmymoney2/README
@@ -1,20 +1,21 @@
-KmyMoney 2 is a simple financial accounting manager for KDE for personal or
-small-business use. It is a full double-entry accounting software package
-compatible with KDE 3.2.x and later.
+KmyMoney 2 is a simple financial accounting manager for KDE for personal or
+small-business use. It is a full double-entry accounting software package.
The ultimate objectives of KMyMoney are...
- * Familiar Features. KMyMoney intends to provide all important features
- found in the commercially-available, personal finance managers. The
- current release is closer than ever to that goal and more improvements
- are already planned or being tested.
- * Ease of use. KMyMoney strives to be the easiest open source personal
- finance manager to use, especially for the non-technical user.
- * Accuracy. Using time tested double entry accounting principles KMyMoney
- can help ensure that your finances are kept in correct order.
-
-This compiles a package without support for kbanking. Standard this compiles
-also without support for ofxbanking.
+* Familiar Features. KMyMoney intends to provide all important features
+found in the commercially-available, personal finance managers. The
+current release is closer than ever to that goal and more improvements
+are already planned or being tested.
+* Ease of use. KMyMoney strives to be the easiest open source personal
+finance manager to use, especially for the non-technical user.
+* Accuracy. Using time tested double entry accounting principles KMyMoney
+can help ensure that your finances are kept in correct order.
IF you want to enable support for ofxbanking, you need to have libofx
-installed (a build script for this is available at SlackBuilds.org), and
+installed (a build script for this is available at SlackBuilds.org), and
start the script with this: OFX=YES ./kmymoney2.SlackBuild
+KMyMoney2 is personal financial tool, easy to use.
+
+KMyMoney2 is still a KDE3 application, so to compile/use it on Slackware 13.0,
+the KDE3 compatibility libraries from kde-compat are required.
+
diff --git a/office/kmymoney2/kmymoney2.SlackBuild b/office/kmymoney2/kmymoney2.SlackBuild
index fa41ae9ab7..ffa731f64a 100644
--- a/office/kmymoney2/kmymoney2.SlackBuild
+++ b/office/kmymoney2/kmymoney2.SlackBuild
@@ -1,6 +1,8 @@
#!/bin/sh
-
+
# Slackware build script for: kmymoney2
+
+# Written by Luiz Eduardo.
# Copyright 2007-2008 Michiel van Wessem, Manchester, United Kingdom
# All rights reserved.
#
@@ -23,8 +25,10 @@
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+# Very heavily modified by the SlackBuilds.org project. --Michiel
+
PRGNAM=kmymoney2
-VERSION=${VERSION:-0.9.3}
+VERSION=${VERSION:-1.0.0}
ARCH=${ARCH:-i486}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
@@ -40,18 +44,20 @@ OFX=${OFX:-NO}
if [ "$ARCH" = "i486" ]; then
SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
elif [ "$ARCH" = "i686" ]; then
SLKCFLAGS="-O2 -march=i686 -mtune=i686"
elif [ "$ARCH" = "x86_64" ]; then
SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
fi
-set -e
+set -e # Exit on most of the errors.
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
-rm -rf $TMP/$PRGNAM-$VERSION
cd $TMP
+rm -rf $PRGNAM-$VERSION
tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2
cd $PRGNAM-$VERSION
chown -R root:root .
@@ -71,16 +77,18 @@ fi
CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
./configure \
- --prefix=/usr \
- --localstatedir=/var \
--sysconfdir=/etc \
+ --localstatedir=/var \
--mandir=/usr/man \
+ --with-qt-dir=/opt/kde3/lib${LIBDIRSUFFIX}/qt3 \
+ --with-qt-includes=/opt/kde3/lib${LIBDIRSUFFIX}/qt/include \
+ --with-qt-libraries=/opt/kde3/lib${LIBDIRSUFFIX}/qt3/lib \
--${useofx}able-ofxplugin \
--${useofx}able-ofxbanking \
--disable-leak-check \
--disable-pdf-docs \
--disable-debug \
- --build=$ARCH-slackware-linux \
+ --build=$ARCH-slackware-linux
make
make install-strip DESTDIR=$PKG
@@ -91,13 +99,12 @@ make install-strip DESTDIR=$PKG
)
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
-cp -a AUTHORS COPYING ChangeLog* INSTALL README* $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS COPYING ChangeLog* INSTALL README* TODO $PKG/usr/doc/$PRGNAM-$VERSION
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
-find $PKG/usr/doc/$PRGNAM-$VERSION -type f -exec chmod 644 {} \;
mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc
cat $CWD/doinst.sh > $PKG/install/doinst.sh
cd $PKG
-/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/office/kmymoney2/kmymoney2.info b/office/kmymoney2/kmymoney2.info
index 04014155b4..b6e8a9159d 100644
--- a/office/kmymoney2/kmymoney2.info
+++ b/office/kmymoney2/kmymoney2.info
@@ -1,9 +1,10 @@
PRGNAM="kmymoney2"
-VERSION="0.9.3"
+VERSION="1.0.0"
HOMEPAGE="http://kmymoney2.sourceforge.net/index-home.html"
-DOWNLOAD="http://downloads.sourceforge.net/kmymoney2/kmymoney2-0.9.3.tar.bz2"
-MD5SUM="d33041029530091c4ac6196cd8408bda"
-MAINTAINER="Michiel van Wessem"
-EMAIL="michiel@slackbuilds.org"
-APPROVED="dsomero"
-
+DOWNLOAD="http://downloads.sourceforge.net/kmymoney2/kmymoney2-1.0.0.tar.bz2"
+MD5SUM="f702ea77ff5bf6aec727768da34d98ec"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Ledu"
+EMAIL="ledubr@gmail.com"
+APPROVED="michiel"
diff --git a/office/kmymoney2/slack-desc b/office/kmymoney2/slack-desc
index d2cf53b498..1589711ceb 100644
--- a/office/kmymoney2/slack-desc
+++ b/office/kmymoney2/slack-desc
@@ -6,14 +6,14 @@
# customary to leave one space after the ':'.
|-----handy-ruler------------------------------------------------------|
-kmymoney2: KmyMoney (simple financial accounting manager)
+kmymoney2: kmymoney2 (simple financial accounting manager)
kmymoney2:
-kmymoney2: KmyMoney 2 is a simple financial accounting manager for KDE
-kmymoney2: for personal or small-business use.
-kmymoney2: We are a full double-entry accounting software package
-kmymoney2: compatible with KDE 3.2.x
-kmymoney2:
-kmymoney2: Homepage: http://kmymoney2.sourceforge.net/
+kmymoney2: KmyMoney 2 is a simple financial accounting manager for KDE for
+kmymoney2: personal or small-business use. It is a complete and fullfull
+kmymoney2: double-entry accouunting software package.
kmymoney2:
+kmymoney2: note that kmymoney2 will require the KDE3-compatiblity packages
+kmymoney2: to be install for this to work.
kmymoney2:
+kmymoney2: Homepage: http://kmymoney2.sourceforge.net/
kmymoney2: